@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');
  *{
    margin: 0;
    padding: 0;
    font-family: Rubik, sans-serif;
    box-sizing: border-box;
}
body{
    background:#4B0082;
    color: #fff;
}
#header{
    width: 100%;
    height: 100vh;
    /* background-image: url(images/background1.png); */
    /* background-position:right; */
}
.right-image{
    width: 500px; /* adjust the width as needed */
    height: auto;
    /* box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2); shadow effect */
    justify-content:right;
    margin-left: 60%;
    margin-top: 50px;
    
}
.container{
    padding: 10px 10%;
}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}
.logo{
    width: 100px;
}
nav ul li{
    display: inline-block;
    list-style: None;
    margin: 10px 20px;
    
}
nav ul li a{
    float:right;
    color: white;
    text-decoration: None;
    font-size: 18px;
    position:relative;
    font-family:'poppins',sans-serif;
    font-weight: 300;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2);
    /* margin-left: -10px; */
}

nav ul li a::after{
    content: "";
    width: 0;
    height: 3px;
    background:#FFD700;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;
}

.header-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: -20px;
    margin-top: -270px;
  }
  
  .header-text {
    font-family: 'Poppins', sans-serif;
    color: white;
    text-align: left;

  }
  
  .header-text h1 {
    font-size: 60px;
    margin-top: 0;
    
  }
  .text1{
    font-family: 'poppins',sans-serif;
    font-size: 30px;
  }
  
  .header-text p {
    font-family: cursive;
    font-size: 40px;
  }
  .header-text h1 span{
    color: yellow;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.2)
  }
.box-link {
    font-family: 'poppins',sans-serif;
    font-size: 15px;
    font-weight:700;
    position: relative;
    background-color:white;
    color: #000080;
    border-radius: 10px;
    padding: 10px;
    margin-bottom: 20px;
    margin-top: 12px;
    text-decoration: none;
    /* border: 2px solid #3f3e3f; */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
    margin-left: 100px;
     
    transition: transform 0.5s;
  }
  .box-link:hover{
    background-color: #FFD700;
    transform: translateY(-5px);
}

  
.social-icons0{
    margin-top: 30px;

}
.social-icons0 a{
    text-decoration: None;
    font-size: 30px;
    margin-right: 15px;
    color: grey;
    display: inline-block;
    transition: transform 0.5s;
}


.social-icons0 a:hover{
    color: #FFD700;
    transform: translateY(-5px);
}

/*-----------------about--------------*/
#about{
    padding: 0px 0;
    color:white;
    font-family: 'poppins',sans-serif;
}
.about-col-2 p{
    font-family: 'poppins',sans-serif;
    margin-top: 10px;
    display: flex;
    flex-wrap: wrap;
    line-height: 1.2;
    justify-content: flex-start;
    padding:  5px;
}


.about-col-2 .read-more-button {
    display: none;
  }
  
  .about-col-2.expanded .read-more-button {
    display: inline-block;
  }
  
  .about-col-2 .more-content {
    display: none;
  }
  
  .about-col-2.expanded .more-content {
    display: block;
  }
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    
    flex-basis: 60%;

}


.sub-title{
    font-size: 60px;
    font-weight: 600;
    color: #fff;
    text-shadow: 0px 2px 2px rgba(255, 255, 255, 0.5);
}

.tab-titles{
    display: flex;
    margin: 20px 0 40px;
    
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: "";
    width: 0;
    height: 3px;
    background: #FFD700;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}

.tab-links.active-link::after{
    width: 50%;
}
.tab-contents ul li{
    list-style: None;
    margin: 10px 0;
    font-family: 'poppins',sans-serif;
}

.tab-contents ul li span{
    color: #FFD700;
    font-size: 16px;
    padding-bottom: 20px;

}
.tab-contents{
    display: none;
    font-family: 'poppins',sans-serif;
    
}
.tab-contents ul li p{
    margin-top: 10%;
}
.company{
    text-align:center;
    width:40%;
    padding: 10px 10px;
    color: #ffffff;
    font-family: 'poppins', sans-serif;
    font-size: 18px;
    font-weight: 550;
    background-color:#4B0082;
    text-decoration: none;
    border-radius: 10px;
    box-shadow: 2px 2px 4px rgba(0.5, 0.5, 0.5, 0.5);
    transition: transform 0.5s;
    display: inline-block;
    cursor: pointer;
}
.company:hover{
    background-color: #FFD700;
    transform: translateY(-5px);
}
.tab-contents.active-tab{
    display: block;
}
.skills-list {
    display: flex;
    justify-content: flex-start; /* Adjust the value to suit your needs */
    list-style-type: none;
    padding: 10px;
    /* margin-top: -30px ; */
    text-align: center;
    }
  
  .technology-list {
    /* display: flex; */
    flex-wrap: wrap;
    justify-content: space-between;
    list-style-type: none;
    padding:  20px;
    height: 200px;
  }
  
  .technology {
    padding: 6px 10px;
    line-height: 1.2;
    color: #ffffff;
    font-family: 'poppins', sans-serif;
    font-size: 16px;
    font-weight: 300;
    background-color:#4B0082;
    border-radius: 10px;
    box-shadow: 2px 2px 4px rgba(0.5, 0.5, 0.5, 0.5);
    transition: transform 0.5s;
    cursor: pointer;
  }
  .technology:hover{
    background-color: #FFD700;
    transform: translateY(-5px);
}

  
 /*--------------------Services------------*/
#services{
    padding: 100px 0;
}
.services-description{
    font-family: 'poppins', sans-serif;
}
.Services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.Services-list div{
    background: #262626;
    padding: 40px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s , transform 0.5s;
}
.Services-list div i{
    font-size: 50px;
    margin-bottom: 30px;

}
.Services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.Services-list div a{
    text-decoration: None;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.Services-list div:hover{
    background: #FFD700;
    transform: translateY(-10px);
}

/*-----------portfolio------------*/
#projects{
    padding: 60px 0;
}
.project-description{
    font-family: 'poppins',sans-serif;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;

}
.work{
    border-radius: 20px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: transform 0.5s;
}
.layer{
    width: 100%;
    height: 0;
    background: linear-gradient(rgba(0,0,0,0.6),#FFD700);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0, 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;
}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;

}
.layer a{
    margin-top: 20px;
    color: #FFD700;
    text-decoration: None;
    font-size: 18px;
    line-height: 60px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);
}
.work:hover .layer{
    height: 100%;

}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #FFD700;
    padding: 14px 50px;
    border-radius: 6px;
    text-decoration: None;
    color: #fff;
    transition: background 0.5s;
}
.btn:hover{
    background: #FFD700;
}

/*------------------contact-------------*/

.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;

} 
.contact-left p i{
    color: #FFD700;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;

}
.social-icons a{
    text-decoration: None;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #FFD700;
    transform: translateY(-5px);
}
.btn.btn2{
    display: inline-block;
    background: #FFD700;
    transition: transform 0.5;
}
.btn.btn2:hover{
    transform: translateY(-5px);
}
.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #000000;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}
form btn2{
    padding: 14px 16px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.btn2 {
    cursor: -webkit-grab;
    cursor: -moz-grab;
    cursor: grab;
  }
  
.copyright{
    width: 100%;
    text-align: center;
    padding: 25px 0;
    background: #262626;
    font-weight: 300;
    margin-top: 20px;
}
/*------------------------CSS for small screens------------*/
    nav .fas{
    display: none;
    }
@media only screen and (max-width:768px){
    /* #header{
        background-image: url(images/phone-background1.png);
    } */
    .right-image{
        width: 85%;
        height: auto;
        justify-content:right;
        margin-left: 20%;
        margin-top: 70px
        }
    .logo{
        width: 80px;
    }
    .box-link{
        font-size: 100px;
        padding: auto;
    }
    .header-text{
        margin-top: 80%;
        font-size: 36px;
        font-family: 'poppins',sans-serif;
    }
    .text1{
        font-family: 'poppins',sans-serif;
        font-size: 30px;
        
    }
    .header-text h1{
        font-size: 60px;
    }
    nav .fas{
        display: block;
        font-size: 25px;
        color: #ffffff;
        }
    .box-link{
        font-size: 15px;
        padding: 8px;
        margin-top: 15px;
        
    }
    nav ul{
        background:#000080;
        position: fixed;
        top: 0;
        right: -200px;
        width: 200px;
        height: 100vh;
        padding-top: 50px;
        z-index: 2;
        transition: 0.5s;
    }
    nav ul li{
        /* display: block; */
        margin: 25px
    }
    nav ul li a{
        font-family: 'poppins',sans-serif;
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        left:25px;
        cursor: pointer;
    }
    /* --------------about--------- */
   .sub-title{
    font-size: 40px;
   }
   .about-col-1, .about-col-2{
    flex-basis: 100%;
   }
   .about-col-1{
    margin-bottom: 30px;
   }
   .about-col-2{
    font-size: 14px;
    font: 'poppins';
    width: 100%;
    overflow-wrap: break-word;
   }
   .about-col-2 p{
    font-size: 16px;
    left: 0;
   }
   .tab-links{
    font-size: 16px;
    margin-right: 20px;
   }
   .about-image{
    border-radius:50%
   }
   .skills-list{
    padding: 5px;
    margin-left: -20px;
   }
   .technology-list {
    height: auto; /* Adjust the height to fit the content */
    padding: 15px; /* Adjust the padding for better spacing */
    margin-left: -17px;
  }

  .technology {
    margin-bottom: 10px; /* Add margin between the technology elements */
  }
  .company{
    text-align: left;
    width: 78%;
    padding: 10px 10px; 
  }


   /* -------contact----- */
   .contact-left, .contact-right{
    flex-basis: 100%;
    }
    .copyright{
        font-size: 14px;

   }
}